Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt

Use this file to discover all available pages before exploring further.

Send template to a client
POST https://services.leadconnectorhq.com/proposals/templates/send

Autorizacion

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticacion.
Version
string
default:"2021-07-28"
required
Version de la API.

Body

templateId
string
default:"hTlkh7t8gujsahgg93"
required
Template Id
userId
string
default:"hTlkh7t8gujsahgg93"
required
User Id
sendDocument
boolean
default:"True"
Send Document
locationId
string
default:"hTlkh7t8gujsahgg93"
required
Account Id
contactId
string
default:"hTlkh7t8gujsahgg93"
required
Contact Id
opportunityId
string
default:"hTlkh7t8gujsahgg93"
Opportunity Id

Respuestas

success
boolean
default:"True"
required
Success status
Links for all recipients
{
  "success": true,
  "links": [
    {
      "referenceId": "550e8400-e29b-41d4-a716-446655440000",
      "documentId": "c1e87a91-93b2-4b78-821f-85cf0e1f925b",
      "recipientId": "u240JcS0E5qE0ziHnwMm",
      "entityName": "contacts",
      "recipientCategory": "recipient",
      "documentRevision": 1,
      "createdBy": "b6d8fa28-1112-4dc7-b9d2-f22b75a477ea",
      "deleted": false
    }
  ]
}
statusCode
number
default:"400"
message
string
default:"Bad Request"
{
  "statusCode": 400,
  "message": "Bad Request"
}

Ejemplo

curl -X POST 'https://services.leadconnectorhq.com/proposals/templates/send' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "templateId": "hTlkh7t8gujsahgg93",
  "userId": "hTlkh7t8gujsahgg93",
  "sendDocument": true,
  "locationId": "hTlkh7t8gujsahgg93",
  "contactId": "hTlkh7t8gujsahgg93",
  "opportunityId": "hTlkh7t8gujsahgg93"
}'